How to resolve pbr contextual version conflict while installing devstack

asked 2015-09-23 23:59:09 -0500

sanjana gravatar image

updated 2015-09-24 00:19:13 -0500

I am trying to install devstack in my virtual machine. when i run a ./stack.sh i get internal server error. When i run keystone-all command it fails with a pbr contextual version conflict error.

13161 TRACE keystone     raise VersionConflict(dist, req).with_context(dependent_req)
13161 TRACE keystone ContextualVersionConflict: (pbr 1.8.0 (/usr/local/lib/python2.7/dist-packages), Requirement.parse('pbr!=0.7,<1.0,>=0.6'), set(['sqlalchemy-migrate']))
13161 TRACE keystone

The current version on pbr on my system is 1.8.0 I tried to uninstall pbr and reinstall an older version of pbr as per the requirement.But after i run ./stack.sh , the version of pbr installed is automatically 1.8.0

this is the error in the stack.sh.log

2015-09-24 04:15:31.617 | ERROR: openstack Internal Server Error (HTTP 500)
2015-09-24 04:15:31.652 | + local project_id=
2015-09-24 04:15:31.652 | + echo
2015-09-24 04:15:31.652 |
2015-09-24 04:15:31.652 | + get_or_create_role service
2015-09-24 04:15:31.653 | ++ openstack role create service --or-show -f value -c id
2015-09-24 04:15:32.521 | ERROR: openstack Internal Server Error (HTTP 500)
2015-09-24 04:15:32.542 | + local role_id=
2015-09-24 04:15:32.543 | + echo
2015-09-24 04:15:32.543 |
2015-09-24 04:15:32.543 | + get_or_create_role ResellerAdmin
2015-09-24 04:15:32.543 | ++ openstack role create ResellerAdmin --or-show -f value -c id
2015-09-24 04:15:32.928 | ERROR: openstack Internal Server Error (HTTP 500)
2015-09-24 04:15:32.955 | + local role_id=
2015-09-24 04:15:32.955 | + echo
2015-09-24 04:15:32.955 |
2015-09-24 04:15:32.956 | ++ get_or_create_role Member
2015-09-24 04:15:32.956 | +++ openstack role create Member --or-show -f value -c id
2015-09-24 04:15:33.283 | ERROR: openstack Internal Server Error (HTTP 500)
2015-09-24 04:15:33.309 | ++ local role_id=
2015-09-24 04:15:33.309 | ++ echo
2015-09-24 04:15:33.309 | + local member_role=
2015-09-24 04:15:33.310 | ++ get_or_create_role anotherrole
2015-09-24 04:15:33.311 | +++ openstack role create anotherrole --or-show -f value -c id
2015-09-24 04:15:33.659 | ERROR: openstack Internal Server Error (HTTP 500)
2015-09-24 04:15:33.684 | ++ local role_id=
2015-09-24 04:15:33.685 | ++ echo
2015-09-24 04:15:33.685 | + local another_role=
2015-09-24 04:15:33.685 | ++ get_or_create_project invisible_to_admin
2015-09-24 04:15:33.685 | ++ local os_cmd=openstack
2015-09-24 04:15:33.686 | ++ local domain=
2015-09-24 04:15:33.686 | ++ [[ ! -z '' ]]
2015-09-24 04:15:33.687 | +++ openstack project create invisible_to_admin --or-show -f value -c id
2015-09-24 04:15:34.034 | ERROR: openstack Internal Server Error (HTTP 500)
2015-09-24 04:15:34.058 | ++ local project_id=
2015-09-24 04:15:34.059 | ++ echo
2015-09-24 04:15:34.059 | + local invis_tenant=
2015-09-24 04:15:34.059 | ++ get_or_create_project demo
2015-09-24 04:15:34.060 | ++ local os_cmd=openstack
2015-09-24 04:15:34.060 | ++ local domain=
2015-09-24 04:15:34.060 | ++ [[ ! -z '' ]]
2015-09-24 04:15:34.061 | +++ openstack project create demo --or-show -f value -c id

....... few more lines

2015-09-24 04:17:24.767 | WARNING: keystoneclient.auth.identity.generic.base Discovering versions from the identity service failed ...
(more)
edit retag flag offensive close merge delete